Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAny::DynFixed Interface Reference

`#include <DynamicAnyC.h>`

Inheritance diagram for DynamicAny::DynFixed:

[legend]
Collaboration diagram for DynamicAny::DynFixed:

[legend]
List of all members.

## Public Types
typedef DynFixed_ptr | _ptr_type
typedef DynFixed_var | _var_type
## Public Methods
string | get_value ()
boolean | set_value (in string val) raises (TypeMismatch, InvalidValue)
virtual char * | get_value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual CORBA::Boolean | set_value (const char *val ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual const char * | _interface_repository_id (void) const
## Static Public Methods
DynFixed_ptr | _duplicate (DynFixed_ptr obj)
DynFixed_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynFixed_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
DynFixed_ptr | _nil (void)
## Static Public Attributes
int | _tao_class_id
## Protected Methods
| DynFixed (void)
virtual | ~DynFixed (void)
## Private Methods
| DynFixed (const DynFixed &)
void | operator= (const DynFixed &)

## Member Typedef Documentation

typedef DynFixed_ptr DynamicAny::DynFixed::_ptr_type

| Reimplemented from DynamicAny::DynAny.

typedef DynFixed_var DynamicAny::DynFixed::_var_type

| Reimplemented from DynamicAny::DynAny.

## Constructor & Destructor Documentation

DynamicAny::DynFixed::DynFixed | ( | void |  | ) | `[protected]`

virtual DynamicAny::DynFixed::~DynFixed | ( | void |  | ) | `[protected, virtual]`

DynamicAny::DynFixed::DynFixed | ( | const DynFixed & |  | ) | `[private]`

## Member Function Documentation

DynFixed_ptr DynamicAny::DynFixed::_duplicate | ( | DynFixed_ptr | obj | ) | `[static]`

virtual const char* DynamicAny::DynFixed::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynFixed_ptr DynamicAny::DynFixed::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

DynFixed_ptr DynamicAny::DynFixed::_nil | ( | void |  | ) | `[inline, static]`

| Reimplemented from DynamicAny::DynAny.

virtual void* DynamicAny::DynFixed::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynAny.

DynFixed_ptr DynamicAny::DynFixed::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from DynamicAny::DynAny.

virtual char* DynamicAny::DynFixed::get_value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[pure virtual]`

string DynamicAny::DynFixed::get_value | ( |  | ) |

void DynamicAny::DynFixed::operator= | ( | const DynFixed & |  | ) | `[private]`

virtual CORBA::Boolean DynamicAny::DynFixed::set_value | ( | const char *val | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , DynamicAny::DynAny::TypeMismatch , DynamicAny::DynAny::InvalidValue )`[pure virtual]`

boolean DynamicAny::DynFixed::set_value | ( | in string | val | ) | raises (TypeMismatch, InvalidValue)

## Member Data Documentation

int DynamicAny::DynFixed::_tao_class_id`[static]`

| Reimplemented from DynamicAny::DynAny.

The documentation for this interface was generated from the following files:

- DynamicAny.pidl
- DynamicAnyC.h